BaseResponseWriter (Solr 3.6.2 API)
Keywords: org.apache.solr.response.BaseResponseWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.response
Class BaseResponseWriter

    java.lang.Object
      org.apache.solr.response.BaseResponseWriter

Direct Known Subclasses:
  GenericBinaryResponseWriter, GenericTextResponseWriter

Deprecated. use `TextResponseWriter` or `BinaryResponseWriter` see SOLR-2485

    public abstract class BaseResponseWriter

extends Object

This class serves as a basis from which `QueryResponseWriter`s can be developed. The class provides a single method `write(SingleResponseWriter, SolrQueryRequest, SolrQueryResponse)` that allows users to implement a `BaseResponseWriter.SingleResponseWriter` sub-class which defines how to output `SolrInputDocument`s or a `SolrDocumentList`.

Since:
  1.5
Version:
  $Id: BaseResponseWriter.java 1098906 2011-05-03 05:02:02Z ryan $

Nested Class Summary
`static class` | `BaseResponseWriter.DocListInfo` Deprecated.
`static class` | `BaseResponseWriter.SingleResponseWriter` Deprecated. Users wanting to define custom `QueryResponseWriter`s that deal with `SolrInputDocument`s and `SolrDocumentList` should override the methods for this class.

Constructor Summary
`BaseResponseWriter()` Deprecated.

Method Summary
`void` | `init(NamedList args)` Deprecated. No ops implementation so that the implementing classes do not have to do it
`void` | `write(BaseResponseWriter.SingleResponseWriter responseWriter, SolrQueryRequest request, SolrQueryResponse response)` Deprecated. The main method that allows users to write `BaseResponseWriter.SingleResponseWriter`s and provide them as the initial parameter `responseWriter` to this method which defines how output should be generated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseResponseWriter

    public BaseResponseWriter()

  Deprecated.

Method Detail

### write

    public void write(BaseResponseWriter.SingleResponseWriter responseWriter,
                      SolrQueryRequest request,
                      SolrQueryResponse response)
               throws IOException

  Deprecated.
  The main method that allows users to write `BaseResponseWriter.SingleResponseWriter`s and provide them as the initial parameter `responseWriter` to this method which defines how output should be generated.

  Parameters:
    `responseWriter` - The user-provided `BaseResponseWriter.SingleResponseWriter` implementation.
    `request` - The provided `SolrQueryRequest`.
    `response` - The provided `SolrQueryResponse`.
  Throws:
    `IOException` - If any error occurs.

### init

    public void init(NamedList args)

  Deprecated.
  No ops implementation so that the implementing classes do not have to do it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD